KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBookmarkActionInterface Class Reference

`from PyKDE4.kio import *`

Subclasses: KBookmarkActionMenu, KBookmarkAction

## Detailed Description

This class provides a bookmark menu. It is typically used in cooperation with KActionMenu but doesn't have to be.

If you use this class by itself, then it will use KDE defaults for everything -- the bookmark path, bookmark editor, bookmark launcher.. everything. These defaults reside in the classes KBookmarkOwner (editing bookmarks) and KBookmarkManager (almost everything else). If you wish to change the defaults in any way, you must reimplement either this class or KBookmarkOwner.

Using this class is very simple:

1) Create a popup menu (either KActionMenu or KMenu will do) 2) Instantiate a new KBookmarkMenu object using the above popup menu as a parameter 3) Insert your (now full) popup menu wherever you wish

## Methods

| __init__ (self, KBookmark bk)
KBookmark | bookmark (self)

## Method Documentation

__init__ | ( | self, |
|  | KBookmark | bk
| ) |  |  |

KBookmark bookmark | ( |  | self ) |